VirtuousAI
Reference

Dialectic

List Knowledge Activity

GET
/api/v1/dialectic/activity

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/dialectic/activity"
[
  {}
]
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

Dispute Claim

POST
/api/v1/dialectic/claims/{claim_id}/dispute

Path Parameters

claim_id*string
Formatuuid

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Response Body

application/json

application/json

curl -X POST "https://loading/api/v1/dialectic/claims/497f6eca-6276-4993-bfeb-53cbbbba6f08/dispute"
{
  "property1": "string",
  "property2": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

Endorse Claim

POST
/api/v1/dialectic/claims/{claim_id}/endorse

Path Parameters

claim_id*string
Formatuuid

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Response Body

application/json

application/json

curl -X POST "https://loading/api/v1/dialectic/claims/497f6eca-6276-4993-bfeb-53cbbbba6f08/endorse"
{
  "property1": "string",
  "property2": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

Resolve Comment

POST
/api/v1/dialectic/comments/{comment_id}/resolve

Path Parameters

comment_id*string
Formatuuid

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Response Body

application/json

application/json

curl -X POST "https://loading/api/v1/dialectic/comments/497f6eca-6276-4993-bfeb-53cbbbba6f08/resolve"
{
  "property1": "string",
  "property2": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

Create Or Resume Curator Session

POST
/api/v1/dialectic/curator/session

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Response Body

application/json

application/json

curl -X POST "https://loading/api/v1/dialectic/curator/session"
{}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

List Documents

GET
/api/v1/dialectic/documents

Query Parameters

q?|

Search by title or content

limit?integer
Default50
Range1 <= value <= 100
offset?integer
Default0
Range0 <= value

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/dialectic/documents"
{
  "hasNext": true,
  "items": [
    {
      "createdAt": "2019-08-24T14:15:22Z",
      "createdBy": "string",
      "id": "string",
      "lastEditedBy": "string",
      "status": "string",
      "tenantId": "string",
      "title": "string",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "limit": 0,
  "offset": 0,
  "total": 0
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

Create Document

POST
/api/v1/dialectic/documents

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Request Body

application/json

content?|
title*string

Response Body

application/json

application/json

curl -X POST "https://loading/api/v1/dialectic/documents" \  -H "Content-Type: application/json" \  -d '{    "title": "string"  }'
{
  "content": {},
  "contentText": "string",
  "createdAt": "2019-08-24T14:15:22Z",
  "createdBy": "string",
  "id": "string",
  "lastEditedBy": "string",
  "status": "string",
  "tenantId": "string",
  "title": "string",
  "updatedAt": "2019-08-24T14:15:22Z"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

Get Document

GET
/api/v1/dialectic/documents/{document_id}

Path Parameters

document_id*string
Formatuuid

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/dialectic/documents/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "content": {},
  "contentText": "string",
  "createdAt": "2019-08-24T14:15:22Z",
  "createdBy": "string",
  "id": "string",
  "lastEditedBy": "string",
  "status": "string",
  "tenantId": "string",
  "title": "string",
  "updatedAt": "2019-08-24T14:15:22Z"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

Update Document

PATCH
/api/v1/dialectic/documents/{document_id}

Path Parameters

document_id*string
Formatuuid

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Request Body

application/json

content?|
title?|

Response Body

application/json

application/json

curl -X PATCH "https://loading/api/v1/dialectic/documents/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{}'
{
  "content": {},
  "contentText": "string",
  "createdAt": "2019-08-24T14:15:22Z",
  "createdBy": "string",
  "id": "string",
  "lastEditedBy": "string",
  "status": "string",
  "tenantId": "string",
  "title": "string",
  "updatedAt": "2019-08-24T14:15:22Z"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

Delete Document

DELETE
/api/v1/dialectic/documents/{document_id}

Path Parameters

document_id*string
Formatuuid

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Response Body

application/json

curl -X DELETE "https://loading/api/v1/dialectic/documents/497f6eca-6276-4993-bfeb-53cbbbba6f08"
Empty
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

Suggest Changeset

POST
/api/v1/dialectic/documents/{document_id}/changesets/suggest

Path Parameters

document_id*string
Formatuuid

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Request Body

application/json

sectionFrom*integer
sectionText*string
sectionTo*integer

Response Body

application/json

application/json

curl -X POST "https://loading/api/v1/dialectic/documents/497f6eca-6276-4993-bfeb-53cbbbba6f08/changesets/suggest" \  -H "Content-Type: application/json" \  -d '{    "sectionFrom": 0,    "sectionText": "string",    "sectionTo": 0  }'
{
  "changeset": {
    "createdAt": "2019-08-24T14:15:22Z",
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "itemCount": 0,
    "proposedEventId": "739c2f67-0578-48e7-9ee8-cf667c07cb88",
    "proposerType": "string",
    "proposerUserId": "62b86409-fac8-4e68-b306-9cdf48f52616",
    "rationale": "string",
    "resolvedAt": "2019-08-24T14:15:22Z",
    "resolvedBy": "14b2aa2a-efb0-4ef1-9ffc-3025efbd2222",
    "resolvedEventId": "812b5d17-6c80-4776-a21b-73c2932f1589",
    "reviewNote": "string",
    "status": "proposed",
    "threadId": "51f72284-0555-48fe-a20a-4369ee94dc3e",
    "title": "string",
    "turnId": "7513f73d-27ec-455d-85b7-7bd021b4dccf",
    "updatedAt": "2019-08-24T14:15:22Z",
    "workspaceId": "ef0efa32-d1c1-43d4-a5e2-fe7b4f00403c"
  },
  "items": [
    {
      "assetId": "9179b887-04ef-4ce5-ab3a-b5bbd39ea3c8",
      "assetKind": "dialect_document",
      "baseContentSha256": "string",
      "baseText": "string",
      "baseVersion": 0,
      "baseVersionId": "238d56e0-9ec7-4ebf-bfb2-e487b4bc769c",
      "changesetId": "7df26743-2060-4d41-a94a-946846cd7422",
      "contentFormat": "string",
      "createdAt": "2019-08-24T14:15:22Z",
      "diffStats": {},
      "diffUnified": "string",
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "operation": "create",
      "ordinal": 0,
      "proposedContentSha256": "string",
      "proposedPayload": {},
      "proposedText": "string",
      "resultVersion": 0,
      "resultVersionId": "5bdef736-5d13-4b91-8666-e0cb14973657",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ]
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

Get Document Claims

GET
/api/v1/dialectic/documents/{document_id}/claims

Path Parameters

document_id*string
Formatuuid

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/dialectic/documents/497f6eca-6276-4993-bfeb-53cbbbba6f08/claims"
[
  {
    "confidence": 0,
    "contradictionCount": 0,
    "effectiveConfidence": 0,
    "id": "string",
    "spanFrom": 0,
    "spanTo": 0,
    "text": "string"
  }
]
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

Extract Claims Now

POST
/api/v1/dialectic/documents/{document_id}/claims/extract

Path Parameters

document_id*string
Formatuuid

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Response Body

application/json

application/json

curl -X POST "https://loading/api/v1/dialectic/documents/497f6eca-6276-4993-bfeb-53cbbbba6f08/claims/extract"
{
  "property1": "string",
  "property2": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

List Comments

GET
/api/v1/dialectic/documents/{document_id}/comments

Path Parameters

document_id*string
Formatuuid

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/dialectic/documents/497f6eca-6276-4993-bfeb-53cbbbba6f08/comments"
[
  {
    "anchorFrom": 0,
    "anchorText": "string",
    "anchorTo": 0,
    "authorName": "string",
    "authorUserId": "string",
    "body": "string",
    "createdAt": "2019-08-24T14:15:22Z",
    "documentId": "string",
    "id": "string",
    "parentCommentId": "string",
    "resolvedAt": "2019-08-24T14:15:22Z"
  }
]
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

Create Comment

POST
/api/v1/dialectic/documents/{document_id}/comments

Path Parameters

document_id*string
Formatuuid

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Request Body

application/json

anchorFrom?|
anchorText?|
anchorTo?|
body*string
parentCommentId?|

Response Body

application/json

application/json

curl -X POST "https://loading/api/v1/dialectic/documents/497f6eca-6276-4993-bfeb-53cbbbba6f08/comments" \  -H "Content-Type: application/json" \  -d '{    "body": "string"  }'
{
  "anchorFrom": 0,
  "anchorText": "string",
  "anchorTo": 0,
  "authorName": "string",
  "authorUserId": "string",
  "body": "string",
  "createdAt": "2019-08-24T14:15:22Z",
  "documentId": "string",
  "id": "string",
  "parentCommentId": "string",
  "resolvedAt": "2019-08-24T14:15:22Z"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

Get Document Contradictions

GET
/api/v1/dialectic/documents/{document_id}/contradictions

Path Parameters

document_id*string
Formatuuid

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/dialectic/documents/497f6eca-6276-4993-bfeb-53cbbbba6f08/contradictions"
[
  {
    "claimADocumentTitle": "string",
    "claimAText": "string",
    "claimBDocumentTitle": "string",
    "claimBText": "string",
    "confidence": 0,
    "explanation": "string",
    "relation": "string"
  }
]
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

Upload Document Image

POST
/api/v1/dialectic/documents/{document_id}/images

Path Parameters

document_id*string
Formatuuid

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Request Body

multipart/form-data

file*file
Formatbinary

Response Body

application/json

application/json

curl -X POST "https://loading/api/v1/dialectic/documents/497f6eca-6276-4993-bfeb-53cbbbba6f08/images" \  -F file="string"
{
  "property1": "string",
  "property2": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

Get Document Image

GET
/api/v1/dialectic/documents/{document_id}/images/{filename}

Path Parameters

document_id*string
Formatuuid
filename*string

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/dialectic/documents/497f6eca-6276-4993-bfeb-53cbbbba6f08/images/string"
null
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

List Document Sessions

GET
/api/v1/dialectic/documents/{document_id}/sessions

Path Parameters

document_id*string
Formatuuid

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/dialectic/documents/497f6eca-6276-4993-bfeb-53cbbbba6f08/sessions"
[
  {}
]
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

Create Knowledge Session

POST
/api/v1/dialectic/documents/{document_id}/sessions

Path Parameters

document_id*string
Formatuuid

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Response Body

application/json

application/json

curl -X POST "https://loading/api/v1/dialectic/documents/497f6eca-6276-4993-bfeb-53cbbbba6f08/sessions"
{
  "property1": "string",
  "property2": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

List Document Versions

GET
/api/v1/dialectic/documents/{document_id}/versions

Path Parameters

document_id*string
Formatuuid

Query Parameters

limit?integer
Default20
Range1 <= value <= 100

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/dialectic/documents/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions"
[
  {
    "content": {},
    "contentText": "string",
    "createdAt": "2019-08-24T14:15:22Z",
    "createdBy": "string",
    "createdByName": "string",
    "id": "string",
    "sourceType": "string",
    "summary": "string",
    "version": 0
  }
]
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

Restore Document Version

POST
/api/v1/dialectic/documents/{document_id}/versions/{version}/restore

Path Parameters

document_id*string
Formatuuid
version*integer

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Response Body

application/json

application/json

curl -X POST "https://loading/api/v1/dialectic/documents/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/0/restore"
{
  "content": {},
  "contentText": "string",
  "createdAt": "2019-08-24T14:15:22Z",
  "createdBy": "string",
  "id": "string",
  "lastEditedBy": "string",
  "status": "string",
  "tenantId": "string",
  "title": "string",
  "updatedAt": "2019-08-24T14:15:22Z"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

Get Knowledge Graph

GET
/api/v1/dialectic/graph

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/dialectic/graph"
{}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

Regenerate Knowledge Graph

POST
/api/v1/dialectic/graph/regenerate

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Response Body

application/json

application/json

curl -X POST "https://loading/api/v1/dialectic/graph/regenerate"
{}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

Start Knowledge Interview

POST
/api/v1/dialectic/interview

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Response Body

application/json

application/json

curl -X POST "https://loading/api/v1/dialectic/interview"
{
  "property1": "string",
  "property2": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

Preview Knowledge

POST
/api/v1/dialectic/preview

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Request Body

application/json

query*string

Response Body

application/json

application/json

curl -X POST "https://loading/api/v1/dialectic/preview" \  -H "Content-Type: application/json" \  -d '{    "query": "string"  }'
{
  "claims": [
    {
      "claimText": "string",
      "confidence": 0,
      "contradictions": [
        "string"
      ],
      "effectiveConfidence": 0,
      "entityId": "string",
      "evidenceSummary": "string",
      "sourceDocuments": [
        {
          "documentId": "string",
          "documentTitle": "string"
        }
      ],
      "supportingClaims": [
        "string"
      ]
    }
  ],
  "formattedPrompt": "string",
  "memories": [
    {
      "content": "string",
      "source": "string"
    }
  ],
  "totalClaims": 0
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

Trigger Knowledge Synthesis

POST
/api/v1/dialectic/seed

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Response Body

application/json

application/json

curl -X POST "https://loading/api/v1/dialectic/seed"
{
  "property1": "string",
  "property2": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

Get Seed Status

GET
/api/v1/dialectic/seed/status

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/dialectic/seed/status"
{}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

List All Knowledge Sessions

GET
/api/v1/dialectic/sessions

Query Parameters

limit?integer
Default20
Range1 <= value <= 50

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/dialectic/sessions"
[
  {}
]
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}